pine(1)

NAME
pine - read and send electronic mail with an easy user interface

SYNTAX
pine [-r] [-k] [-z] [-h] [-l] [-conf] [-f folder ] [-d debug-level ] [-n message-num ] [-sort order ] [-i keystrokes ] [-p config-file ] [-P config-file ] [ address , address ] pinef [-r] [-z] [-h] [-l] [-conf] [-f folder ] [-d debug-level ] [-n message-num ] [-sort order ] [-i keystrokes ] [-p config-file ] [-P config-file ] [ address , address ]

DESCRIPTION
Pine is a mail user agent designed primarily for novice users, though it's full-featured enough for processing large amounts of mail. Pine is completely interactive and runs on 80x24 or larger terminals, making use of the full screen. Some of the design principles were to keep things simple and straight-forward with a limited number of well selected features; to provide the user with a menu to pick commands from; to be forgiving of mistakes so the user can learn while doing without fear of disaster, and to provide immediate feedback to the user for each command. Pine has its own tightly integrated pager for scrolling though incoming messages and its own editor (Pico) for composing messages.

Pine uses the c-client library to access mail files. The c-client acts as a switch between different mail file formats/drivers. Currently it understands Berkeley mail files, Tenex mail files, the IMAP2bis protocol, and NetNews. IMAP2bis is the Interactive Mail Access Protocol described in RFC 1176 and modified by the IMAP2bis draft paper. With an IMAP server such as imapd running on a central host users can access their e-mail from many different hosts on the network without having to login to the central host.

Outgoing mail is usually handed off to sendmail, but it can also be posted directly via SMTP when configured to do so in the .pinerc file or the global pine.conf file. (SMTP is the Simple Mail Transfer Protocol defined in RFC-822).

Pine also supports MIME, The Multipurpose Internet Mail Extensions defined in RFC-1341. This allows Pine to send and receive multipart and multimedia e-mail. Pine meets the minimal MIME compliance requirements and is able to view most parts of any received MIME message and to save all parts to files, whatever their format. On the composing side, the focus of the MIME implementation has been to allow users to attach files to messages so they can transfer arbitrary messages, rather than on creating true multi-media e-mail with graphics and sounds. This allows UNIX Pine and PC-Pine users to mail spread sheets and other such files back and forth. Pine will recognize a few of the multimedia formats such as GIF files. When they are attached they are tagged as being images and if Pine is running on an X-terminal it will call xloadimage to display them.

The command line options are:

-d debug-level
    Debugging will be output to the .pine-debugX file at level debug-level (0-9). A debug-level of 0 turns debugging off for the session.

-f folder
    Open named folder (in place of INBOX) on startup

-i keystrokes
    Initial (comma separated list of) keystrokes which Pine should execute on startup. If no keystrokes are specified, Pine starts up in the FOLDER INDEX screen.

-k  Use function keys for commands. This is the same as running the command pinef.

-l  When displaying folder list, expand all collections.

-n message-num
    Pine will start up with the specified message number being the current message.

-p config-file
    Used the named file as the configuration file instead of .pinerc.

-P config-file
    Used the named file as the configuration file instead of the regular system-wide configuration file pine.conf.

-r  Go into restricted demo mode. Pine will only send mail to itself and functions like save and export are restricted.

-sort order
    Sort the display of the index of the folder in one of the following orders: arrival, subject, from, date, size, or reverse. Arrival order is the default. Any sort may be reversed by adding /reverse to it. Reverse by itself is the same as arrival/reverse.

-z  Enable ^Z or SIGTSTP so pine may be suspended.

address
    Send mail to address. This will cause Pine to go directly into the message composer.

-h  Print out help on the possible flags and arguments that can be give in Pine.

-conf
    Produce a sample/fresh copy of the system Pine configuration file on the standard output. This is distinct from the per user .pinerc file.

This documentation is not intended to be complete. The help screens in Pine constitute the main documentation. There are also some technical notes with the source. A general overview of features includes:

    View, save, export, delete, print, reply and forward incoming mail.

    Compose message in a simple editor with word wrap and spelling checker. A message under composition may be temporarily postponed while other work in Pine is being done.

    Full screen selection and management of mail folders.

    Address book to keep a list of long or frequently used addresses. Distribution lists are available and may refer to other lists or entries as many levels deep as desired. Address book entries can be taken from incoming mail without retyping them.

    New mail checking and notification occurs automatically every thirty seconds.

    On-line, context-sensitive help screens.

FILES
/usr/spool/mail/xxxx    Folder for incoming mail
~/.addressbook    Ascii address book file
~/mail    Directory of mail folders
~/.pine-debugx    Diagnostic log for debugging
~/.pinerc    The user pine configuration file
/usr/local/lib/pine.info    Local pointer to system administrator
/usr/local/lib/pine.conf    System wide pine configuration file
/tmp/.\usr\spool\mail\xxxx    Read/write per folder/mailbox lock files

SEE ALSO
pico(1), binmail(1), aliases(5), mailaddr(7), sendmail(8), spell(1), imapd(8)

AUTHORS
Mike Seibel, Steve Hubert, David Miller, and Mark Crispin, with contributions on the design from many others